import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (p, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? m(t, s) : t, i = p.length - 1, l; i >= 0; i--)
    (l = p[i]) && (e = (o ? l(t, s, e) : l(e)) || e);
  return o && e && v(t, s, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--conversionRateFilled", this.class = "c-pieIcon c-pieIcon--conversionRateFilled", this.name = "IconConversionRateFilled";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--conversionRateFilled"><path d="M7.921 10.485a2.327 2.327 0 1 0 0-4.655 2.327 2.327 0 0 0 0 4.655"></path><path d="M13.836 7.125a5.86 5.86 0 0 0-1.654-3.299A5.84 5.84 0 0 0 8.01 2.094a5.84 5.84 0 0 0-4.174 1.732l.928.928a4.57 4.57 0 0 1 3.246-1.348c1.225 0 2.38.482 3.246 1.348a4.5 4.5 0 0 1 1.251 2.371H11.23l2.03 2.625 1.75-2.625z"></path><path d="M8 12.594a4.57 4.57 0 0 1-3.246-1.348 4.5 4.5 0 0 1-1.251-2.371H4.78L2.75 6.25 1 8.875h1.164a5.86 5.86 0 0 0 1.653 3.299 5.84 5.84 0 0 0 4.174 1.732 5.84 5.84 0 0 0 4.174-1.732l-.927-.928a4.57 4.57 0 0 1-3.247 1.348z"></path></svg>`;
  }
};
n([
  a({ type: String, reflect: !0 })
], r.prototype, "size", 2);
n([
  a({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = n([
  f("icon-conversion-rate-filled")
], r);
export {
  r as IconConversionRateFilled
};
